### A free/open-source library for quantitative finance

Public Member Functions
ExtOUWithJumpsProcess Class Reference
Stochastic processes

`#include <ql/experimental/processes/extouwithjumpsprocess.hpp>`

Inheritance diagram for ExtOUWithJumpsProcess:
[legend]

List of all members.

## Public Member Functions

| ExtOUWithJumpsProcess (const boost::shared_ptr< ExtendedOrnsteinUhlenbeckProcess > &process, Real Y0, Real beta, Real jumpIntensity, Real eta)
Size | size () const
| returns the number of dimensions of the stochastic process
Size | factors () const
| returns the number of independent factors of the process
Disposable< Array > | initialValues () const
| returns the initial values of the state variables
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e.,
Disposable< Matrix > | diffusion (Time t, const Array &x) const
| returns the diffusion part of the equation, i.e.
Disposable< Array > | evolve (Time t0, const Array &x0, Time dt, const Array &dw) const
boost::shared_ptr < ExtendedOrnsteinUhlenbeckProcess > | getExtendedOrnsteinUhlenbeckProcess () const
Real | beta () const
Real | eta () const
Real | jumpIntensity () const

## Detailed Description

This class describes a Ornstein Uhlenbeck model plus exp jump, an extension of the Lucia and Schwartz model

References: T. Kluge, 2008. Pricing Swing Options and other Electricity Derivatives, http://eprints.maths.ox.ac.uk/246/1/kluge.pdf

B. Hambly, S. Howison, T. Kluge, Modelling spikes and pricing swing options in electricity markets, http://people.maths.ox.ac.uk/hambly/PDF/Papers/elec.pdf

## Member Function Documentation

Disposable<Array> evolve | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt,
|  | const Array & | dw
| ) |  | const`[virtual]`

returns the asset value after a time interval according to the given discretization. By default, it returns

where is the expectation and the standard deviation.

Reimplemented from StochasticProcess.